<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class hk.quantr.mxgraph.util.mxEventSource (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class hk.quantr.mxgraph.util.mxEventSource (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class hk.quantr.mxgraph.util.mxEventSource" class="title">Uses of Class<br>hk.quantr.mxgraph.util.mxEventSource</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.model">hk.quantr.mxgraph.model</a></th>
<td class="colLast">
<div class="block">This package contains the classes that define a graph model.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.swing">hk.quantr.mxgraph.swing</a></th>
<td class="colLast">
<div class="block">This package contains the main component for JFC/Swing, namely the graph
  component and the outline component.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.swing.handler">hk.quantr.mxgraph.swing.handler</a></th>
<td class="colLast">
<div class="block">This package contains all classes required for mouse event handling in
  JFC/Swing.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.swing.util">hk.quantr.mxgraph.swing.util</a></th>
<td class="colLast">
<div class="block">This package contains all utility classes that require JFC/Swing, namely for
  mouse event handling, drag and drop, actions and overlays.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.util">hk.quantr.mxgraph.util</a></th>
<td class="colLast">
<div class="block">This package provides utility classes such as mxConstants, mxUtils, mxPoint
  and mxRectangle as well as all classes for custom events and the undo
  history.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.view">hk.quantr.mxgraph.view</a></th>
<td class="colLast">
<div class="block">This package implements the graph component, represented by the mxGraph
  class.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.model">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../../model/package-summary.html">hk.quantr.mxgraph.model</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../../model/package-summary.html">hk.quantr.mxgraph.model</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../model/mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a></span></code></th>
<td class="colLast">
<div class="block">Extends mxEventSource to implement a graph model.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.swing">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../../swing/package-summary.html">hk.quantr.mxgraph.swing</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../../swing/package-summary.html">hk.quantr.mxgraph.swing</a> declared as <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.</span><code><span class="memberNameLink"><a href="../../swing/mxGraphComponent.html#eventSource">eventSource</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.swing.handler">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../../swing/handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../../swing/handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../swing/handler/mxConnectPreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectPreview</a></span></code></th>
<td class="colLast">
<div class="block">Connection handler creates new connections between cells.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../swing/handler/mxMovePreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxMovePreview</a></span></code></th>
<td class="colLast">
<div class="block">Connection handler creates new connections between cells.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Fields in <a href="../../swing/handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a> declared as <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellMarker.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxCellMarker.html#eventSource">eventSource</a></span></code></th>
<td class="colLast">
<div class="block">Holds the event source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectionHandler.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxConnectionHandler.html#eventSource">eventSource</a></span></code></th>
<td class="colLast">
<div class="block">Holds the event source.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxInsertHandler.</span><code><span class="memberNameLink"><a href="../../swing/handler/mxInsertHandler.html#eventSource">eventSource</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.swing.util">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../../swing/util/package-summary.html">hk.quantr.mxgraph.swing.util</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../../swing/util/package-summary.html">hk.quantr.mxgraph.swing.util</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../swing/util/mxAnimation.html" title="class in hk.quantr.mxgraph.swing.util">mxAnimation</a></span></code></th>
<td class="colLast">
<div class="block">Baseclass for all timer-based animations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../swing/util/mxMorphing.html" title="class in hk.quantr.mxgraph.swing.util">mxMorphing</a></span></code></th>
<td class="colLast">
<div class="block">Provides animation effects.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.util">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../package-summary.html">hk.quantr.mxgraph.util</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../package-summary.html">hk.quantr.mxgraph.util</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxUndoManager.html" title="class in hk.quantr.mxgraph.util">mxUndoManager</a></span></code></th>
<td class="colLast">
<div class="block">Implements an undo history.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.view">
<!--   -->
</a>
<h3>Uses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../../view/package-summary.html">hk.quantr.mxgraph.view</a></h3>
<table class="useSummary">
<caption><span>Subclasses of <a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> in <a href="../../view/package-summary.html">hk.quantr.mxgraph.view</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../view/mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a></span></code></th>
<td class="colLast">
<div class="block">Implements a graph object that allows to create diagrams from a graph model
 and stylesheet.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../view/mxGraphSelectionModel.html" title="class in hk.quantr.mxgraph.view">mxGraphSelectionModel</a></span></code></th>
<td class="colLast">
<div class="block">Implements the selection model for a graph.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../view/mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></span></code></th>
<td class="colLast">
<div class="block">Implements a view for the graph.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../view/mxLayoutManager.html" title="class in hk.quantr.mxgraph.view">mxLayoutManager</a></span></code></th>
<td class="colLast">
<div class="block">Implements a layout manager that updates the layout for a given transaction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../view/mxSwimlaneManager.html" title="class in hk.quantr.mxgraph.view">mxSwimlaneManager</a></span></code></th>
<td class="colLast">
<div class="block">Manager for swimlanes and nested swimlanes that sets the size of newly added
 swimlanes to that of their siblings, and propagates changes to the size of a
 swimlane to its siblings, if siblings is true, and its ancestors, if
 bubbling is true.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxEventSource.html" title="class in hk.quantr.mxgraph.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
